# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by SEACASProj/SEACASExodus_for clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
IF (SEACASExodus_for_CONFIG_INCLUDED)
  RETURN()
ENDIF()
SET(SEACASExodus_for_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
IF (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  GET_FILENAME_COMPONENT(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  SET(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
ENDIF()


## ---------------------------------------------------------------------------
## Compilers used by SEACASProj/SEACASExodus_for build
## ---------------------------------------------------------------------------

SET(SEACASExodus_for_CXX_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/g++.exe")

SET(SEACASExodus_for_C_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/gcc.exe")

SET(SEACASExodus_for_Fortran_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/gfortran.exe")
# Deprecated!
SET(SEACASExodus_for_FORTRAN_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/gfortran.exe") 


## ---------------------------------------------------------------------------
## Compiler flags used by SEACASProj/SEACASExodus_for build
## ---------------------------------------------------------------------------

## Give the build type
SET(SEACASExodus_for_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
SET(SEACASExodus_for_CXX_FLAGS " -pedantic -Wall -Wno-long-long -Wwrite-strings -Wshadow -Woverloaded-virtual   -Wall ")

SET(SEACASExodus_for_C_FLAGS " -pedantic -Wall -Wno-long-long -std=c99   -Wall ")

SET(SEACASExodus_for_Fortran_FLAGS " ")
# Deprecated
SET(SEACASExodus_for_FORTRAN_FLAGS " ")

## Extra link flags (e.g., specification of fortran libraries)
SET(SEACASExodus_for_EXTRA_LD_FLAGS "-lpthread")

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
SET(SEACASExodus_for_SHARED_LIB_RPATH_COMMAND "/ucrt64/lib")
SET(SEACASExodus_for_BUILD_SHARED_LIBS "ON")

SET(SEACASExodus_for_LINKER D:/a/_temp/msys/msys64/ucrt64/bin/ld.exe)
SET(SEACASExodus_for_AR D:/a/_temp/msys/msys64/ucrt64/bin/ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
SET(SEACASExodus_for_INSTALL_DIR "/ucrt64")

## List of package include dirs
SET(SEACASExodus_for_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
SET(SEACASExodus_for_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib")

## List of package libraries
SET(SEACASExodus_for_LIBRARIES "exodus_for;exodus")

## Specification of directories for TPL headers
SET(SEACASExodus_for_TPL_INCLUDE_DIRS "D:/a/_temp/msys/msys64/ucrt64/include;D:/a/_temp/msys/msys64/ucrt64/include")

## Specification of directories for TPL libraries
SET(SEACASExodus_for_TPL_LIBRARY_DIRS "")

## List of required TPLs
SET(SEACASExodus_for_TPL_LIBRARIES "D:/a/_temp/msys/msys64/ucrt64/lib/libnetcdf.dll.a;hdf5_hl-shared;hdf5-shared")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

SET(SEACASExodus_for_MPI_LIBRARIES "")
SET(SEACASExodus_for_MPI_LIBRARY_DIRS "")
SET(SEACASExodus_for_MPI_INCLUDE_DIRS "")
SET(SEACASExodus_for_MPI_EXEC "")
SET(SEACASExodus_for_MPI_EXEC_MAX_NUMPROCS "")
SET(SEACASExodus_for_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
SET(SEACASExodus_for_PACKAGE_LIST "SEACASExodus_for;SEACASExodus")

## The TPLs enabled for this project
SET(SEACASExodus_for_TPL_LIST "Netcdf")


# Include configuration of dependent packages
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus/SEACASExodusConfig.cmake")

# Import SEACASExodus_for targets
INCLUDE("${CMAKE_CURRENT_LIST_DIR}/SEACASExodus_forTargets.cmake")
