# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by SEACASProj clients. 
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

#
# Ensure CMAKE_CURRENT_LIST_DIR is usable.
#

# Include guard
IF (SEACASProj_CONFIG_INCLUDED)
  RETURN()
ENDIF()
SET(SEACASProj_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
IF (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  GET_FILENAME_COMPONENT(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  SET(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
ENDIF()


## ---------------------------------------------------------------------------
## Compilers used by SEACASProj build
## ---------------------------------------------------------------------------

SET(SEACASProj_CXX_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/g++.exe")

SET(SEACASProj_C_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/gcc.exe")

SET(SEACASProj_Fortran_COMPILER "D:/a/_temp/msys/msys64/ucrt64/bin/gfortran.exe")

## ---------------------------------------------------------------------------
## Compiler flags used by SEACASProj build
## ---------------------------------------------------------------------------

SET(SEACASProj_CMAKE_BUILD_TYPE "Release")

SET(SEACASProj_CXX_COMPILER_FLAGS "  -Wall ")

SET(SEACASProj_C_COMPILER_FLAGS "  -Wall ")

SET(SEACASProj_Fortran_COMPILER_FLAGS " ")

## Extra link flags (e.g., specification of fortran libraries)
SET(SEACASProj_EXTRA_LD_FLAGS "-lpthread")

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty. 
SET(SEACASProj_SHARED_LIB_RPATH_COMMAND "/ucrt64/lib")
SET(SEACASProj_BUILD_SHARED_LIBS "ON")

SET(SEACASProj_LINKER D:/a/_temp/msys/msys64/ucrt64/bin/ld.exe)
SET(SEACASProj_AR D:/a/_temp/msys/msys64/ucrt64/bin/ar.exe)


## ---------------------------------------------------------------------------
## Set library specifications and paths 
## ---------------------------------------------------------------------------

## The project version number
SET(SEACASProj_VERSION "2.0")

# For best practices in handling of components, see
# <http://www.cmake.org/cmake/help/v3.2/manual/cmake-developer.7.html#find-modules>.
#
# If components were requested, include only those. If not, include all of
# Trilinos.
IF (SEACASProj_FIND_COMPONENTS)
  SET(COMPONENTS_LIST ${SEACASProj_FIND_COMPONENTS})
ELSE()
  SET(COMPONENTS_LIST SEACAS;SEACASExoIIv2for32;SEACASExodus_for;SEACASExodus)
ENDIF()

# Initialize SEACASProj_FOUND with true, and set it to FALSE if any of
# the required components wasn't found.
SET(SEACASProj_FOUND TRUE)
FOREACH(comp ${COMPONENTS_LIST})
  SET(
    INCLUDE_FILE
    ${CMAKE_CURRENT_LIST_DIR}/../${comp}/${comp}Config.cmake
    )
 IF (EXISTS ${INCLUDE_FILE})
   # Set SEACASProj_<component>_FOUND.
   SET(SEACASProj_${comp}_FOUND TRUE)
   # Include the package file.
   INCLUDE(${INCLUDE_FILE})
   # Add variables to lists.
   LIST(APPEND SEACASProj_INCLUDE_DIRS ${${comp}_INCLUDE_DIRS})
   LIST(APPEND SEACASProj_LIBRARY_DIRS ${${comp}_LIBRARY_DIRS})
   LIST(APPEND SEACASProj_LIBRARIES ${${comp}_LIBRARIES})
   LIST(APPEND SEACASProj_TPL_INCLUDE_DIRS ${${comp}_TPL_INCLUDE_DIRS})
   LIST(APPEND SEACASProj_TPL_LIBRARY_DIRS ${${comp}_TPL_LIBRARY_DIRS})
   LIST(APPEND SEACASProj_TPL_LIBRARIES ${${comp}_TPL_LIBRARIES})
 ELSE()
   # Set SEACASProj_<component>_FOUND to FALSE.
   SET(SEACASProj_${comp}_FOUND FALSE)
   # Set SEACASProj_FOUND to FALSE if component is not optional.
   IF(SEACASProj_FIND_REQUIRED_${comp})
     SET(SEACASProj_FOUND FALSE)
   ENDIF()
 ENDIF()
ENDFOREACH()

# Resolve absolute paths and remove duplicate paths
# for LIBRARY_DIRS and INCLUDE_DIRS
# This reduces stress on regular expressions later
SET(short_dirs)
FOREACH(dir ${SEACASProj_INCLUDE_DIRS})
  GET_FILENAME_COMPONENT(dir_abs ${dir} ABSOLUTE)
  LIST(APPEND short_dirs ${dir_abs})
ENDFOREACH()
LIST(REMOVE_DUPLICATES short_dirs)
SET(SEACASProj_INCLUDE_DIRS ${short_dirs})

SET(short_dirs)
FOREACH(dir ${SEACASProj_LIBRARY_DIRS})
  GET_FILENAME_COMPONENT(dir_abs ${dir} ABSOLUTE)
  LIST(APPEND short_dirs ${dir_abs})
ENDFOREACH()
LIST(REMOVE_DUPLICATES short_dirs)
SET(SEACASProj_LIBRARY_DIRS ${short_dirs})

# Remove duplicates in SEACASProj_LIBRARIES
LIST(REVERSE SEACASProj_LIBRARIES)
LIST(REMOVE_DUPLICATES SEACASProj_LIBRARIES)
LIST(REVERSE SEACASProj_LIBRARIES)

# Remove duplicates in SEACASProj_TPL_INCLUDE_DIRS
IF (SEACASProj_TPL_INCLUDE_DIRS)
  LIST(REMOVE_DUPLICATES SEACASProj_TPL_INCLUDE_DIRS)
ENDIF()

# NOTE: It is *NOT* safe to try to remove duplicate in
# SEACASProj_TPL_LIBRARIES because these can be specified as -L, -l, etc.
# Actaully, we should think about that.

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

SET(SEACASProj_INSTALL_DIR "/ucrt64")
SET(SEACASProj_MPI_LIBRARIES "")
SET(SEACASProj_MPI_LIBRARY_DIRS "")
SET(SEACASProj_MPI_INCLUDE_DIRS "")
SET(SEACASProj_MPI_EXEC "")
SET(SEACASProj_MPI_EXEC_PRE_NUMPROCS_FLAGS "")
SET(SEACASProj_MPI_EXEC_MAX_NUMPROCS "")
SET(SEACASProj_MPI_EXEC_POST_NUMPROCS_FLAGS "")
SET(SEACASProj_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Compiler vendor identifications
## ---------------------------------------------------------------------------
SET(SEACASProj_SYSTEM_NAME "Windows")
SET(SEACASProj_CXX_COMPILER_ID "GNU")
SET(SEACASProj_C_COMPILER_ID "GNU")
SET(SEACASProj_Fortran_COMPILER_ID "GNU")
SET(SEACASProj_Fortran_IMPLICIT_LINK_LIBRARIES "gfortran;mingw32;gcc_s;gcc;moldname;mingwex;kernel32;quadmath;m;mingw32;gcc_s;gcc;moldname;mingwex;kernel32;pthread;advapi32;shell32;user32;kernel32;mingw32;gcc_s;gcc;moldname;mingwex;kernel32")

## ---------------------------------------------------------------------------
## Set useful general variables 
## ---------------------------------------------------------------------------

## The packages enabled for this project
SET(SEACASProj_PACKAGE_LIST "SEACAS;SEACASExoIIv2for32;SEACASExodus_for;SEACASExodus")

## The TPLs enabled for this project
SET(SEACASProj_TPL_LIST "Netcdf")
